tclap: TCLAP::ZshCompletionOutput Class Reference

# TCLAP::ZshCompletionOutput Class Reference

A class that generates a Zsh completion function as output from the usage() method for the given CmdLine and its Args. More...

`#include <ZshCompletionOutput.h>`

Inheritance diagram for TCLAP::ZshCompletionOutput:

List of all members.

## Public Member Functions
| ZshCompletionOutput ()
virtual void | usage (CmdLineInterface &c)
| Prints the usage to stdout.
virtual void | version (CmdLineInterface &c)
| Prints the version to stdout.
virtual void | failure (CmdLineInterface &c, ArgException &e)
| Prints (to stderr) an error message, short usage Can be overridden to produce alternative behavior.
## Protected Member Functions
void | basename (std::string &s)
void | quoteSpecialChars (std::string &s)
std::string | getMutexList (CmdLineInterface &_cmd, Arg *a)
void | printOption (Arg *it, std::string mutex)
void | printArg (Arg *it)
## Protected Attributes
std::map< std::string, std::string > | common
char | theDelimiter

## Detailed Description

A class that generates a Zsh completion function as output from the usage() method for the given CmdLine and its Args.

Definition at line 43 of file ZshCompletionOutput.h.

## Constructor & Destructor Documentation

TCLAP::ZshCompletionOutput::ZshCompletionOutput | ( |  | ) |

Definition at line 86 of file ZshCompletionOutput.h.

References common.

## Member Function Documentation

void TCLAP::ZshCompletionOutput::basename | ( | std::string & | s | ) | `[inline, protected]`

Definition at line 155 of file ZshCompletionOutput.h.

Referenced by usage().

void TCLAP::ZshCompletionOutput::failure | ( | CmdLineInterface & | c,
|  | ArgException & | e |
| ) |  |  | `[inline, virtual]`

Prints (to stderr) an error message, short usage Can be overridden to produce alternative behavior.

Parameters:

  | c | - The CmdLine object the output is generated for.
  | e | - The ArgException that caused the failure.

Implements TCLAP::CmdLineOutput.

Definition at line 129 of file ZshCompletionOutput.h.

References TCLAP::ArgException::what().

std::string TCLAP::ZshCompletionOutput::getMutexList | ( | CmdLineInterface & | _cmd,
|  | Arg * | a |
| ) |  |  | `[inline, protected]`

Definition at line 271 of file ZshCompletionOutput.h.

References TCLAP::Arg::acceptsMultipleValues(), TCLAP::Arg::flagStartChar(), TCLAP::Arg::getFlag(), TCLAP::Arg::getName(), TCLAP::CmdLineInterface::getXorHandler(), TCLAP::XorHandler::getXorList(), and TCLAP::Arg::nameStartString().

Referenced by usage().

void TCLAP::ZshCompletionOutput::printArg | ( | Arg * | it | ) | `[inline, protected]`

Definition at line 164 of file ZshCompletionOutput.h.

References TCLAP::Arg::acceptsMultipleValues(), common, TCLAP::Arg::getName(), and TCLAP::Arg::isRequired().

Referenced by usage().

void TCLAP::ZshCompletionOutput::printOption | ( | Arg * | it,
|  | std::string | mutex |
| ) |  |  | `[inline, protected]`

Definition at line 190 of file ZshCompletionOutput.h.

References common, TCLAP::Arg::flagStartChar(), TCLAP::Arg::getDescription(), TCLAP::Arg::getFlag(), TCLAP::Arg::getName(), TCLAP::Arg::isValueRequired(), TCLAP::Arg::nameStartString(), quoteSpecialChars(), TCLAP::Arg::shortID(), and theDelimiter.

Referenced by usage().

void TCLAP::ZshCompletionOutput::quoteSpecialChars | ( | std::string & | s | ) | `[inline, protected]`

Definition at line 136 of file ZshCompletionOutput.h.

Referenced by printOption().

void TCLAP::ZshCompletionOutput::usage | ( | CmdLineInterface & | c | ) | `[inline, virtual]`

Prints the usage to stdout.

Can be overridden to produce alternative behavior.

Parameters:

  | c | - The CmdLine object the output is generated for.

Implements TCLAP::CmdLineOutput.

Definition at line 106 of file ZshCompletionOutput.h.

References basename(), TCLAP::CmdLineInterface::getArgList(), TCLAP::CmdLineInterface::getDelimiter(), getMutexList(), TCLAP::CmdLineInterface::getProgramName(), TCLAP::CmdLineInterface::getVersion(), printArg(), printOption(), and theDelimiter.

void TCLAP::ZshCompletionOutput::version | ( | CmdLineInterface & | c | ) | `[inline, virtual]`

Prints the version to stdout.

Can be overridden to produce alternative behavior.

Parameters:

  | c | - The CmdLine object the output is generated for.

Implements TCLAP::CmdLineOutput.

Definition at line 101 of file ZshCompletionOutput.h.

References TCLAP::CmdLineInterface::getVersion().

## Member Data Documentation

std::map<std::string, std::string> TCLAP::ZshCompletionOutput::common`[protected]`

Definition at line 82 of file ZshCompletionOutput.h.

Referenced by printArg(), printOption(), and ZshCompletionOutput().

char TCLAP::ZshCompletionOutput::theDelimiter`[protected]`

Definition at line 83 of file ZshCompletionOutput.h.

Referenced by printOption(), and usage().

The documentation for this class was generated from the following file:

- ZshCompletionOutput.h